[mesa-users] bad CPU in executable

andres suarez asuarezm at ucsc.edu
Fri Jan 13 23:55:49 EST 2012


Hi,
I am trying to install mesa on a MacPro 1.1 running MAC OS 10.4.11
When I try to use the mesasdk package for Darwin, the gfortran and gcc
compilers provided seem to not be supported by my system, as I get the
errors:

       -bash ./gfortran: Bad CPU type in executable
       -bash: ./gcc: Bad CPU type in executable

I tried getting the gfortran appropriate to my system, but I cannot find
anything beyond gfortran4.2 that runs with Lion Mac OS (10.4), and when
trying to install without mesasdk, I noticed that mesa explicitly requires
a gfortran equal or higher to 4.5.

so, anyone can tell me if there is a gfortran4.5 that runs in Mac OS 10.4
and where to find it?
Is there a workaround?

Thank you.
a.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.mesastar.org/pipermail/mesa-users/attachments/20120113/827e0fa8/attachment.html>


More information about the Mesa-users mailing list